OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.StencilClearTag

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTStencilClearTag :: MonadIO m => m Bool
- gl_EXT_stencil_clear_tag :: Bool
- gl_STENCIL_CLEAR_TAG_VALUE_EXT :: GLenum
- gl_STENCIL_TAG_BITS_EXT :: GLenum
- glStencilClearTagEXT :: MonadIO m => GLsizei -> GLuint -> m ()

# Extension Support

glGetEXTStencilClearTag :: MonadIO m => m Bool

Is the EXT_stencil_clear_tag extension supported?

gl_EXT_stencil_clear_tag :: Bool

Is the EXT_stencil_clear_tag extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTStencilClearTag` in those cases instead.

# Enums

gl_STENCIL_CLEAR_TAG_VALUE_EXT :: GLenum

gl_STENCIL_TAG_BITS_EXT :: GLenum

# Functions

glStencilClearTagEXT

Arguments

:: MonadIO m |
=> GLsizei | `stencilTagBits`.
-> GLuint | `stencilClearTag`.
-> m () |